Subject: Re: bug#50344: C-x v keybinding for vc-print-branch-log

From: Juri Linkov <[email-masked]>
Date: Wed, 06 Oct 2021 19:28:49 +0300

>>> Other commands, like maybe "C-x v b r" - rename, could be added then.
>> I can't find the existing vc API method for renaming tags/branches.
>
> I think that's OK.

But even the current branch creating command fails for git.
For example, 'C-u C-x v s new_branch RET' fails with the error:

  (error "Failed (status 1): git --no-pager update-index --refresh .")

and shows the *vc* buffer saying that modified files need update.

Whereas `M-& git checkout -b new_branch` works fine with modified files.